﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Site.Master" CodeBehind="SummaryGrid.aspx.cs" Inherits="sqlbinding.SummaryGrid" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <ej:Grid ID="FlatGrid" runat="server"  ShowSummary="true" AllowPaging="true">
        <Columns>
            <ej:Column Field="OrderID" HeaderText="Order ID" TextAlign="Right" Width="90" />
            <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="150" />
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="100" />
            <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="100" Format="{0:MM/dd/yyyy}" />
            <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Format="{0:C}" />
        </Columns>
        <SummaryRows>
            <ej:SummaryRow Title="Summary">
                <SummaryColumn>
                    <ej:SummaryColumn SummaryType="Sum" Format="{0:C}" DisplayColumn="CustomerID" DataMember="Freight" />
                    <ej:SummaryColumn SummaryType="Average" Format="{0:C}" DisplayColumn="EmployeeID" DataMember="Freight" />
                    <ej:SummaryColumn SummaryType="Minimum" Format="{0:C}" DisplayColumn="OrderDate" DataMember="Freight" />
                    <ej:SummaryColumn SummaryType="Maximum" Format="{0:C}" DisplayColumn="Freight" DataMember="Freight" />
                </SummaryColumn>
            </ej:SummaryRow>
        </SummaryRows>
    </ej:Grid>

    <style>
        .e-grid .e-summaryrow {
            background-color: bisque;
        }
    </style>
</asp:Content>
